# H235_TypedCertificate Class Reference

`#include <h235.h>`

Inheritance diagram for H235_TypedCertificate:

List of all members.

## Public Member Functions

| H235_TypedCertificate (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_ObjectId | m_type
PASN_OctetString | m_certificate

## Constructor & Destructor Documentation

H235_TypedCertificate::H235_TypedCertificate | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_TypedCertificate::GetDataLength | ( |  | ) | const

PBoolean H235_TypedCertificate::Decode | ( | PASN_Stream & | strm | ) |

void H235_TypedCertificate::Encode | ( | PASN_Stream & | strm | ) | const

void H235_TypedCertificate::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_TypedCertificate::Compare | ( | const PObject & | obj | ) | const

PObject* H235_TypedCertificate::Clone | ( |  | ) | const

## Member Data Documentation

PASN_ObjectId H235_TypedCertificate::m_type

PASN_OctetString H235_TypedCertificate::m_certificate

The documentation for this class was generated from the following file:

- h235.h